Start a Smokeball connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /legal/smokeball/connect

Returns the Smokeball authorization URL to send the user to, for the firm's Smokeball region (us, au or uk; us by default). The first user to connect becomes the firm's primary connection. Returns 409 when the caller already has an active Smokeball connection in this organization and 403 while the Smokeball integration is turned off. Requires a member role or above in the organization.

Headers

  • organization string Required

    id of the selected (active) organization

Query parameters

  • region string

    The firm's Smokeball region (defaults to 'us')

    Values are us, au, or uk.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attribute Show data attribute object
      • authorizationUrl string
    • statusCode number Required
    • timestamp string(date-time) Required
GET /legal/smokeball/connect
curl \
 --request GET 'http://api.example.com/legal/smokeball/connect' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "authorizationUrl": "https://auth.smokeball.com/oauth2/authorize?response_type=code&client_id=abc123&state=9f2c1e"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}